import { EventEmitter, OnChanges, SimpleChanges, OnInit } from '@angular/core';
import { BaseDataElement } from '../../core/elements/models/base-data-element.model';
import { ImageElements } from '../../core/elements/models/image-elements.model';
import { SimulatorEngineService } from '../../core/services/simulator-engine.service';
import { SimulatorState } from '../../core/models/simulator-state.model';
import { InputData } from '../../core/models/input-data.model';
export declare class AssistDataElementComponent implements OnInit, OnChanges {
    private simulatorEngineService;
    dataElements: BaseDataElement[];
    imagePath: string;
    imagePaths: ImageElements[];
    Endpoints: any[];
    templatePartial: string[];
    endPointXMLString: string[];
    xmlContent: string;
    returnReportText: EventEmitter<MainReportText>;
    returnExecutionHistory: EventEmitter<FinalExecutedHistory>;
    isReset: boolean;
    mainReportTextObj: MainReportText;
    simulatorState: SimulatorState;
    dataElementValues: Map<string, any>;
    comparisonValues: string[];
    selectedChoiceValues: string[];
    executedResultIds: any[];
    executedResultHistories: ExecutedResultHistory[];
    inputValues: InputData[];
    constructor(simulatorEngineService: SimulatorEngineService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    choiceSelected($event: any): void;
    numericSelected($event: any): void;
    multiSelected($event: any): void;
    generateReportText(endpointId: string): void;
    private generateExecutionHistory();
    private returnEndPointContents(content, startToken, endToken);
    private parseXml(endPointId, endpointContent);
}
export declare class ChoiceElement {
    elementId: string;
    selectedValue: string;
    selectedText: string;
}
export declare class NumericElement {
    elementId: string;
    selectedValue: number;
}
export declare class MultiChoiceElement {
    elementId: string;
    selectedValues: string[];
    selectedComparisonValues: string[];
}
export declare class AllElements {
    elementId: string;
    selectedValues: any[];
}
export declare class MainReportText {
    reportTextMainContent: string;
    allReportText: AllReportText[];
}
export declare class AllReportText {
    sectionId: string;
    reportText: string;
}
export declare class ExecutedResultHistory {
    resultCondition: string;
    resultValue: any;
}
export declare class FinalExecutedHistory {
    executionHistories: ExecutedResultHistory[];
    resultText: MainReportText;
}
